KuhnAllowPickUp = {};

function KuhnAllowPickUp.prerequisitesPresent(specializations)
    return true;
end;

function KuhnAllowPickUp:load(xmlFile)
	self.allowPickingUp = KuhnAllowPickUp.allowPickingUp;
	self.allowPick = false;
end;

function KuhnAllowPickUp:delete()
end;

function KuhnAllowPickUp:readStream(streamId, connection)
end;

function KuhnAllowPickUp:writeStream(streamId, connection)
end;

function KuhnAllowPickUp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function KuhnAllowPickUp:keyEvent(unicode, sym, modifier, isDown)
end;

function KuhnAllowPickUp:update(dt)
end;

function KuhnAllowPickUp:updateTick(dt)
	if self.isTurnedOn then
		if self.movingDirection == -1 then
			self.backTimer = self.backTimer+dt;
			if self.backTimer > 50 then
				self.allowPick = false;
			end;
		else
			self.allowPick = true;
			self.backTimer = 0;
		end;
	end;
end;

function KuhnAllowPickUp:allowPickingUp()
	local allow = false;
	if self.animationParts[1].currentPosition > 300 then
		allow = true;
	end;
	if not self.allowPick then
		allow = false;
	end;
	return allow;
end;

function KuhnAllowPickUp:draw()
end;